#include <bits/stdc++.h>

using namespace std;

long long cifre(long long n){
    long long br = 0;
    while(n > 0){
        n/=10;
        br++;
    }
    return br;
}

long long proizvod(long long n){
    long long br = 1;
    for(long long i = 0; i < cifre(n); i++){
        br*=(n%10);
        n/=10;
    }
    return br;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin >> n;
    for(long long i = 0; i < n; i++){
        long long p;
        cin >> p;
        map<long long,long long> bp;
        long long rez = 0;
        for(long long j = 1; j <= p; j++){
            long long k = proizvod(j);
            bp[k]++;
            if(bp[k] == 1){
                rez++;
            }
        }
        cout << rez << endl;
    }
}